org.keycloak.connections.jpa.updater.liquibase.custom

## Class CustomKeycloakTask

- java.lang.Object
- - org.keycloak.connections.jpa.updater.liquibase.custom.CustomKeycloakTask

- All Implemented Interfaces:
    liquibase.change.custom.CustomChange, liquibase.change.custom.CustomSqlChange
  Direct Known Subclasses:
    JpaUpdate1_2_0_Beta1, JpaUpdate1_2_0_CR1, JpaUpdate1_4_0_Final, JpaUpdate1_9_0_Final

      public abstract class CustomKeycloakTask
      extends Object
      implements liquibase.change.custom.CustomSqlChange

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StringBuilder` | `confirmationMessage`
    `protected Connection` | `connection`
    `protected liquibase.database.Database` | `database`
    `protected liquibase.database.jvm.JdbcConnection` | `jdbcConnection`
    `protected KeycloakSession` | `kcSession`
    `protected List<liquibase.statement.SqlStatement>` | `statements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomKeycloakTask()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `liquibase.statement.SqlStatement[]` | `generateStatements(liquibase.database.Database database)`
    `protected abstract void` | `generateStatementsImpl()` It's supposed to fill SQL statements to the "statements" variable and fill "confirmationMessage"
    `String` | `getConfirmationMessage()`
    `protected String` | `getTableName(String tableName)`
    `protected abstract String` | `getTaskId()`
    `protected boolean` | `isApplicable()`
    `void` | `setFileOpener(liquibase.resource.ResourceAccessor resourceAccessor)`
    `void` | `setUp()`
    `liquibase.exception.ValidationErrors` | `validate(liquibase.database.Database database)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kcSession

          protected KeycloakSession kcSession

    - #### database

          protected liquibase.database.Database database

    - #### jdbcConnection

          protected liquibase.database.jvm.JdbcConnection jdbcConnection

    - #### connection

          protected Connection connection

    - #### confirmationMessage

          protected StringBuilder confirmationMessage

    - #### statements

          protected List<liquibase.statement.SqlStatement> statements

  - ### Constructor Detail

    - #### CustomKeycloakTask

          public CustomKeycloakTask()

  - ### Method Detail

    - #### validate

          public liquibase.exception.ValidationErrors validate(liquibase.database.Database database)

      Specified by:
        `validate` in interface `liquibase.change.custom.CustomChange`

    - #### setFileOpener

          public void setFileOpener(liquibase.resource.ResourceAccessor resourceAccessor)

      Specified by:
        `setFileOpener` in interface `liquibase.change.custom.CustomChange`

    - #### getConfirmationMessage

          public String getConfirmationMessage()

      Specified by:
        `getConfirmationMessage` in interface `liquibase.change.custom.CustomChange`

    - #### setUp

          public void setUp()
                     throws liquibase.exception.SetupException

      Specified by:
        `setUp` in interface `liquibase.change.custom.CustomChange`
      Throws:
        `liquibase.exception.SetupException`

    - #### generateStatements

          public liquibase.statement.SqlStatement[] generateStatements(liquibase.database.Database database)
                                                                throws liquibase.exception.CustomChangeException

      Specified by:
        `generateStatements` in interface `liquibase.change.custom.CustomSqlChange`
      Throws:
        `liquibase.exception.CustomChangeException`

    - #### isApplicable

          protected boolean isApplicable()
                                  throws liquibase.exception.CustomChangeException

      Throws:
        `liquibase.exception.CustomChangeException`

    - #### generateStatementsImpl

          protected abstract void generateStatementsImpl()
                                                  throws liquibase.exception.CustomChangeException

      It's supposed to fill SQL statements to the "statements" variable and fill "confirmationMessage"
      Throws:
        `liquibase.exception.CustomChangeException`

    - #### getTaskId

          protected abstract String getTaskId()

    - #### getTableName

          protected String getTableName(String tableName)

Copyright © 2016 JBoss by Red Hat. All rights reserved.